----------------------------------------------------------------------------------
-- Company: Univ Lyon, UJM-Saint-Etienne, CNRS, Laboratoire Hubert Curien UMR 5516, F-42023, SAINT-ETIENNE, France
-- Creator: Cédric Marchand 
-- 
-- Create Date:    10:53:53 10/21/2015 
-- Design Name: 
-- Module Name:    xor4to4 - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity xor4to4 is
    Port ( nible_1_i : in  STD_LOGIC_VECTOR (3 downto 0);
           nible_2_i : in  STD_LOGIC_VECTOR (3 downto 0);
           nible_o : out  STD_LOGIC_VECTOR (3 downto 0));
end xor4to4;

architecture Behavioral of xor4to4 is

begin

nible_o <= nible_1_i xor nible_2_i;

end Behavioral;

